Summary:	Zapping is a Teletext / Recording an TV viewer
Name:		zapping
Version:	20060529
Release:	2
Group:		Multimedia
Copyright:	LGPL
URL:            http://zapping.sourceforge.net/Zapping/index.html
Source0:        %{name}.tar.bz2
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	zvbi-devel rte-devel gtk-doc

%description
cvs -d :pserver:anonymous@zapping.cvs.sourceforge.net:/cvsroot/zapping co zapping

Zapping is a TV viewer for the Gnome desktop. It runs on Linux Icon Linux, FreeBSD
Icon FreeBSD and Solaris.
With Zapping and a TV card you can watch TV, take screenshots, and record video an
d audio. Zapping has a deinterlacer and a Teletext viewer built in and supports Cl
osed Caption and Teletext subtitles. Got a remote control? Zapping supports LIRC too.

Requirements:
An analog TV card with V4L, V4L2 or XVideo driver. Digital TV (DVB, ATSC) is not
supported yet. A Gnome 2.0 or later desktop, with the common libraries.
For Teletext and Closed Caption functions the zvbi library. VBI capturing is only
possible on Linux and FreeBSD. It makes little sense to install the library on 
other Unices.

The video recording plugin needs the rte library, also available from the Zapping
dowload page. You need not download mp1e, this codec is already included in the 
rte library. Presently recording is only supported on Linux.
The remote control plugin needs the LIRC package. If not already part of your dist
ribution you can download LIRC from http://www.lirc.org. Presently remote controls
are only supported on Linux.

%prep
%setup -q -n %{name}

%build
#autogen.sh
%configure --enable-nls --without-included-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
ln -sf ../sbin/zapping_setup_fb $RPM_BUILD_ROOT/usr/bin/zapping_setup_fb
rm -R $RPM_BUILD_ROOT/usr/share/applications

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%post
SCHEMAS="zapping.schemas"
for S in $SCHEMAS; do
gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S >/dev/null
done

%files
%defattr(-,root,root)
/*
